using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace CellBorderTest
{
    public class MyStyleSelector : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            var obj = (GridItem)item;
            if (obj.Index % 3 == 0)
            {
                return this.LeagueStyle;
            }
            return null;
        }
        public Style LeagueStyle
        {
            get;
            set;
        }
    }
}
